Bug 1030977 - User cannot enter path with driver letter in lower-case (windows)
User cannot enter path with driver letter in lower-case (windows)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Windows
unspecified Severity high
: CR2
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 07:41 EST by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:14:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-15 07:41:09 EST
Description of problem:
 Entering eg. w:\pkremens\eap as installation target will fail validation.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.CR1

How reproducible:
 Always

Steps to Reproduce:
 1. Run gui installer.
 2. Use c:\tmp\EAP as installation target and press Next

Actual results:
 Validation error dialog is thrown

Expected results:
 Installation will carry on.

Additional info:
 This was brought by http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=020fea5b43603053b3a5c5473aa17ce2a44d31c3. Fixing windowPathValidator should do the job.
Comment 1 Miles Tjandrawidjaja 2013-11-15 15:28:24 EST
Installation continues when driver name is lower case.

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=76f9632f25d522567918a3f99c2b498e4600739b
Comment 2 Petr Kremensky 2013-11-19 07:31:47 EST
Verified on EAP 6.2.0.CR2 installer, user can now use driver name in lower case.

Note You need to log in before you can comment on or make changes to this bug.